---
title: performance.setResourceTimingBufferSize()
slug: Web/API/Performance/setResourceTimingBufferSize
tags:
  - API
  - Method
  - Reference
  - Web Performance
---
<div>{{APIRef("Resource Timing API")}}</div>

<p>The <strong><code>setResourceTimingBufferSize()</code></strong> method sets the browser's <em>resource timing buffer</em> size to the specified number of "<code>resource</code>" {{domxref("PerformanceEntry.entryType","performance entry type")}} objects.</p>

<p>A browser's recommended resource timing buffer size is at least 150 {{domxref("PerformanceEntry","performance entry")}} objects.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>performance</em>.setResourceTimingBufferSize(maxSize);
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt>maxSize</dt>
 <dd>A <code>number</code> representing the maximum number of {{domxref("PerformanceEntry","performance entry")}} objects the browser should hold in its performance entry buffer.</dd>
</dl>

<h3 id="Return_Value">Return value</h3>

<dl>
 <dt>none</dt>
 <dd>This method has no return value.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">function setResourceTimingBufferSize(maxSize) {
  if (performance === undefined) {
    log("Browser does not support Web Performance");
    return;
  }
  var supported = typeof performance.setResourceTimingBufferSize == "function";
  if (supported) {
    log("... Performance.setResourceTimingBufferSize() = Yes");
    performance.setResourceTimingBufferSize(maxSize);
  } else {
    log("... Performance.setResourceTimingBufferSize() = NOT supported");
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Resource Timing', '#dom-performance-setresourcetimingbuffersize', 'setResourceTimingBufferSize()')}}</td>
   <td>{{Spec2('Resource Timing')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Performance.setResourceTimingBufferSize")}}</p>
</div>
